{
  config,
  pkgs,
  libs,
  inputs,
  ...
}: {
  environment.systemPackages = with pkgs; [
    #Programming
    jetbrains.pycharm #The PyCharm IDE to edit Python code
    jetbrains.idea #The IntelliJ IDE to edit Java code
    jetbrains.clion #The CLion IDE to edit and compile c/c++ code
    jetbrains.datagrip #The DataGrip IDE to manage Databases
    #jetbrains-toolbox
    #racket		#The racket Programming language, with DrRacket IDE, for University (*Not* because it's my favourite)
    rustup #Rust Programming Toolchain
    #go		#Go Programming Language
    gcc #C/C++ Compiler
    pkg-config
    vscode #Editor for all kinds of programms
    nodejs_22 #NodeJS for JavaScript programming

    #Hochschule
    postgresql #Database system
    dbeaver-bin #Database Management Tool
    sqlite #Lightweight Database system

    #Desktop Applications
    drawio
    ryubing #Nintendo Switch Emulator
    vlc #VLC Media Player
    lutris #Gaming Platform
    mission-center #For a Task Manager like GUI
    trayscale #Tailscale unofficial GUI
    spotify #Spotify Music Client
    rpi-imager #Raspberry Pi Imager
    atlauncher #Minecraft Launcher
    #discord
    vesktop #Aternative for discord on Wayland
    wineWow64Packages.stagingFull
    winetricks
    wasistlos #Whatsapp
    losslesscut-bin #Lossless cut for quckly cutting videos
    #obs-studio   #Screen Recorder
    gparted #Disk partition Manager
    #rustdesk   #Remote Desktop Client
    realvnc-vnc-viewer #VNC Remote Desktop Client
    eddie #AirVPN desktop client
    chromium #Chromium browser for Youtube app to work
    moonlight-qt #Game Streaming Client
    kitty #Kitty Terminal Emulator
    wmctrl #To Force windows into fullscreen
    kdePackages.dolphin #KDE File Browser
    libreoffice-still #Office Suite
    kdePackages.kservice
    qbittorrent #Torrent Client
    waydroid #Android emulator on Linux
    gimp2-with-plugins #Image Editor
    kdePackages.filelight #Disk Usage Analyzer
    filezilla
    audacity
    freecad
  ];
}
